0 1
Contact Author Sign in to rate

addcards close without asking even with full nid in noteid field

<10kB. Updated 2020-04-15.
The author has shared 74 other item(s).

Description

I use a version of the "add note id" add-on and wanted to close the addcards window without the question "Close and lose current input?" if I only have the note id in the editor. This add-on doesn't make sense for Anki 2.1.28 or newer because of technical changes in Anki: Notes in the add window have always the note id "0" before they are actually added by clicking the "add" button at the bottom of the add window. So it doesn't make sense to fill a field "note id" in the add window. So this add-on is also not needed anymore. For details see this commit. The note-id is only assigned when mw.col.add_note() is run which is run only after you’ve finished processing the note in the add window after you click the “add” button. use it at your own risk. # Versions - 2020-04-14 compatibility with 2.1.17+ - 2019-11-30 initial version # Compatibility overwrites Editor.fieldsAreBlank which makes it incompatible to other add-ons that also overwrite this function On Anki 2.1.15 or earlier it does not work with "Close and lose current input ?" for sticky fields.

Download

As add-ons are programs downloaded from the internet, they are potentially malicious. You should only download add-ons you trust.

Supported Anki versions:

To download this add-on, please copy and paste the following code into Anki 2.1:

161384391

If you were linked to this page from the internet, please open Anki on your computer, go to the Tools menu and then Add-ons>Browse & Install to paste in the code.

All Anki 2.1.x Add-Ons Contact Author

Reviews

on 1599479969
I hoped it would work, because it had been updated later than the original one, but it did nothing when I added a note with the first field being "Note ID".
Anki Version 2.1.32 (dee7d45d)
Comment from author
You got the expected result for 2.1.32.

That's why the second sentence/paragraph of my description is this: "This add-on doesn't make sense for Anki 2.1.28 or newer because of technical changes in Anki ..."